Summary: The GNU data compression program.
Name: gzip
Version: 1.2.4a
Release: 20tr
License: GPL
Group: System/Archiving
Source: ftp://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.gz
Patch: gzip-1.2.4-basename.patch
Patch1: gzip-1.2.4-gzexe.patch
Patch2: gzip-1.2.4-mktemp.patch
Patch3: gzip-1.2.4b.patch
Patch4: gzip-1.2.4a-znew.patch
Patch5: gzip-1.2.4-tempfile.patch
Requires: mktemp
Buildroot: /var/tmp/gzip-root

%description
The gzip package contains the popular GNU gzip data compression
program.  Gzipped files have a .gz extension.  

Gzip should be installed on your Red Hat Linux system, because it is a
very commonly used data compression program.

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%package doc
Summary: Info-files for Gzip
Group: Documentation
Requires: gzip info
Prereq: /sbin/install-info

%description doc
This package contains the documentation files for Gzip

%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/man
make install prefix=$RPM_BUILD_ROOT/usr \
    infodir=$RPM_BUILD_ROOT/usr/share/info \
    mandir=$RPM_BUILD_ROOT/usr/share/man/man1
strip $RPM_BUILD_ROOT/usr/bin/gzip
mkdir -p $RPM_BUILD_ROOT/bin
mv -f $RPM_BUILD_ROOT/usr/bin/gzip $RPM_BUILD_ROOT/bin/gzip
rm -f $RPM_BUILD_ROOT/usr/bin/gunzip $RPM_BUILD_ROOT/usr/bin/zcat
ln -f $RPM_BUILD_ROOT/bin/gzip $RPM_BUILD_ROOT/bin/gunzip
ln -f $RPM_BUILD_ROOT/bin/gzip $RPM_BUILD_ROOT/bin/zcat
ln -sf ../../bin/gzip $RPM_BUILD_ROOT/usr/bin/gzip
ln -sf ../../bin/gunzip $RPM_BUILD_ROOT/usr/bin/gunzip
gzip -9nf $RPM_BUILD_ROOT/usr/share/info/gzip.info*

for i in zcmp zdiff zforce zgrep zmore znew ; do
	sed -e "s|$RPM_BUILD_ROOT||g" < $RPM_BUILD_ROOT/usr/bin/$i > $RPM_BUILD_ROOT/usr/bin/.$i
	rm -f $RPM_BUILD_ROOT/usr/bin/$i
	mv $RPM_BUILD_ROOT/usr/bin/.$i $RPM_BUILD_ROOT/usr/bin/$i
	chmod 755 $RPM_BUILD_ROOT/usr/bin/$i
done

cat > $RPM_BUILD_ROOT/usr/bin/zless <<EOF
#!/bin/sh
/bin/zcat "\$@" | /usr/bin/less
EOF
chmod 755 $RPM_BUILD_ROOT/usr/bin/zless

%post doc
/sbin/install-info /usr/share/info/gzip.info.gz /usr/share/info/dir --entry="* gzip: (gzip).                 The GNU compression utility."

%preun doc
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/share/info/gzip.info.gz /usr/share/info/dir --entry="* gzip: (gzip).                 The GNU compression utility."
fi

%files
/bin/*
/usr/bin/*

%files doc
%doc NEWS README
/usr/share/info/gzip.info*
/usr/share/man/*/*

%changelog
* Tue Sep 28 2004 Oystein Viggen <oysteivi at trustix dot com>
- Patch tempfile issue

* Tue Jan 15 2002 Hans Almsbakk <hansa@trustix.com>
- Applied patch that fixes a potential buffer overflow on too long input 
  filename.

* Mon Feb 28 2000 Lars Gaarden <larsg@trustix.com>
- put the documentation in a separate package

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- built against gliibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- added /usr/bin/gzip and /usr/bin/gunzip symlinks as some programs are too
  brain dead to figure out they should be at least trying to use $PATH
- added BuildRoot

* Wed Jan 28 1998 Erik Troan <ewt@redhat.com>
- fix /tmp races

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info
- applied patch for gzexe

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Marc Ewing <marc@redhat.com>
- (Entry added for Marc by Erik) fixed gzexe to use /bin/gzip

